# x2sys_merge

Merge an updated COEs table (smaller) into the main table (bigger)

## Synopsis

gmt x2sys_merge -A main_COElist.txt -M new_COElist.txt [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

x2sys_merge will read two crossovers data base and output the contents of the main one updated with the COEs in the second one. The second file should only contain updated COEs relatively to the first one. That is, it must not contain any new two tracks intersections (This point is not checked in the code). This program is useful when, for any good reason like file editing NAV correction or whatever, one had to recompute only the COEs between the edited files and the rest of the database. The complete data base is written to standard output.

## Required Arguments

-A main_COElist.txt

  Specify the file main_COElist.txt with the main crossover error data base.

-M new_COElist.txt

  Specify the file new_COElist.txt with the newly computed crossover error data base.

## Optional Arguments

## Examples

To update the main COE_data.txt with the new COEs estimations saved in the smaller COE_fresh.txt, try:

    gmt x2sys_merge -ACOE_data.txt -MCOE_fresh.txt > COE_updated.txt

## References

Wessel, P. (2010), Tools for analyzing intersecting tracks: the x2sys package. Computers and Geosciences, 36, 348-354, https://www.researchgate.net/publication/220164039_Tools_for_analyzing_intersecting_tracks_The_x2sys_package.

Wessel, P. (1989), XOVER: A cross-over error detector for track data, Computers and Geosciences, 15(3), 333-346, https://doi.org/10.1016/0098-3004(89)90044-7.

## See Also

x2sys_binlist, x2sys_cross, x2sys_datalist, x2sys_get, x2sys_init, x2sys_list, x2sys_put, x2sys_report